Bug 1483459 - Review Request: python-jaydebeapi - Bridge from JDBC database drivers to Python DB-API
Summary: Review Request: python-jaydebeapi - Bridge from JDBC database drivers to Pyth...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-21 07:50 UTC by Jakub Jedelsky
Modified: 2017-09-08 23:48 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-09-02 22:24:36 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jakub Jedelsky 2017-08-21 07:50:41 UTC
Spec URL: http://s.stderr.cz/rpm/python-jaydebeapi.spec
SRPM URL: http://s.stderr.cz/rpm/python-jaydebeapi-1.1.1-1.fc26.src.rpm
Description:
The JayDeBeApi module allows you to connect from Python code to databases using
Java JDBC. It provides a Python DB-API v2.0 to that database.


Fedora Account System Username: kubo

Comment 1 Robert-André Mauchin 2017-08-21 11:16:14 UTC
Hello,

 - Please use spaces instead of tabs

 - The Group: tag is not needed in Fedora. See https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections . If you're also packaging for RHEL, just put it inside a condition.

 - Please use a more meaningful name for your archive, use:

Source0:    https://github.com/baztian/%{srcname}/archive/v%{version}/%{name}-%{version}.tar.gz


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GPL (v3)", "*No copyright* CC by-sa (v3.0)",
     "GPL (v3)", "BSD (3 clause) GPL (v3)", "Unknown or generated". 117
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-jaydebeapi/review-python-
     jaydebeapi/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-jaydebeapi , python3-jaydebeapi
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-jaydebeapi-1.1.1-1.fc28.noarch.rpm
          python3-jaydebeapi-1.1.1-1.fc28.noarch.rpm
          python-jaydebeapi-1.1.1-1.fc28.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 2 Jakub Jedelsky 2017-08-21 14:34:22 UTC
Hi Robert,

thanks for a quick review. I updated the SPEC and SRPM from the first comment.

(In reply to Robert-André Mauchin from comment #1)
>  - Please use spaces instead of tabs

done

>  - The Group: tag is not needed in Fedora. See
> https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections . If
> you're also packaging for RHEL, just put it inside a condition.

removed

>  - Please use a more meaningful name for your archive, use:
> 
> Source0:   
> https://github.com/baztian/%{srcname}/archive/v%{version}/%{name}-%{version}.
> tar.gz

This is cool, I didn't realized it is possible this way. Thanks!

Comment 3 Robert-André Mauchin 2017-08-21 14:44:14 UTC
All good then, package accepted.

Comment 5 Gwyn Ciesla 2017-08-22 14:01:56 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-jaydebeapi

Comment 6 Fedora Update System 2017-08-24 11:28:15 UTC
python-jaydebeapi-1.1.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-73ef381a1a

Comment 7 Fedora Update System 2017-08-24 11:29:15 UTC
python-jaydebeapi-1.1.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-331666fe74

Comment 8 Fedora Update System 2017-08-24 11:29:40 UTC
python-jaydebeapi-1.1.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5b037b077d

Comment 9 Fedora Update System 2017-08-24 16:49:39 UTC
python-jaydebeapi-1.1.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-73ef381a1a

Comment 10 Fedora Update System 2017-08-24 16:52:00 UTC
python-jaydebeapi-1.1.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-331666fe74

Comment 11 Fedora Update System 2017-08-24 23:47:28 UTC
python-jaydebeapi-1.1.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5b037b077d

Comment 12 Fedora Update System 2017-09-02 22:24:36 UTC
python-jaydebeapi-1.1.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-09-03 04:24:09 UTC
python-jaydebeapi-1.1.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-09-08 23:48:11 UTC
python-jaydebeapi-1.1.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.